cascading.cascade

## Class CascadeDef

- java.lang.Object
- - cascading.property.UnitOfWorkDef<CascadeDef>
  - - cascading.cascade.CascadeDef

-     public class CascadeDef
      extends UnitOfWorkDef<CascadeDef>

  Class CascadeDef is a fluent interface for defining a `Cascade`.

  This allows for ad-hoc building of Cascade data and meta-data like tags.

  Instead of calling one of the `CascadeConnector` connect methods, `CascadeConnector.connect(CascadeDef)` can be called.
  See Also:
    `UnitOfWorkDef`, `FlowDef`

- - ### Field Summary

    - ### Fields inherited from class cascading.property.UnitOfWorkDef

      `name, tags`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CascadeDef()` Constructor CascadeDef creates a new CascadeDef instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CascadeDef` | `addFlow(Flow flow)` Method addFlow adds a new `Flow` instance that is intended to participate in a `Cascade`.
    `CascadeDef` | `addFlows(java.util.Collection<Flow> flows)` Method addFlows adds many new `Flow` instances intended to participate in a `Cascade`.
    `CascadeDef` | `addFlows(Flow... flows)` Method addFlows adds many new `Flow` instances intended to participate in a `Cascade`.
    `static CascadeDef` | `cascadeDef()` Creates a new instance of a CascadeDef.
    `java.util.Collection<Flow>` | `getFlows()` Method getFlows returns the flows of this CascadeDef object.
    `Flow[]` | `getFlowsArray()` Method getFlowsArray returns the flows as an array of this CascadeDef object.
    `int` | `getMaxConcurrentFlows()`
    `CascadeDef` | `setMaxConcurrentFlows(int maxConcurrentFlows)`

    - ### Methods inherited from class cascading.property.UnitOfWorkDef

      `addTag, addTags, getName, getTags, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CascadeDef

          public CascadeDef()

      Constructor CascadeDef creates a new CascadeDef instance.

  - ### Method Detail

    - #### cascadeDef

          public static CascadeDef cascadeDef()

      Creates a new instance of a CascadeDef.
      Returns:
        a CascadeDef

    - #### getFlows

          public java.util.Collection<Flow> getFlows()

      Method getFlows returns the flows of this CascadeDef object.
      Returns:
        the flows (type Collection) of this CascadeDef object.

    - #### getFlowsArray

          public Flow[] getFlowsArray()

      Method getFlowsArray returns the flows as an array of this CascadeDef object.
      Returns:
        the flowsArray (type Flow[]) of this CascadeDef object.

    - #### addFlow

          public CascadeDef addFlow(Flow flow)

      Method addFlow adds a new `Flow` instance that is intended to participate in a `Cascade`.
      Parameters:
        `flow` - of Flow
      Returns:
        CascadeDef

    - #### addFlows

          public CascadeDef addFlows(Flow... flows)

      Method addFlows adds many new `Flow` instances intended to participate in a `Cascade`.
      Parameters:
        `flows` - of Flow[]
      Returns:
        CascadeDef

    - #### addFlows

          public CascadeDef addFlows(java.util.Collection<Flow> flows)

      Method addFlows adds many new `Flow` instances intended to participate in a `Cascade`.
      Parameters:
        `flows` - of Collection
      Returns:
        CascadeDef

    - #### setMaxConcurrentFlows

          public CascadeDef setMaxConcurrentFlows(int maxConcurrentFlows)

    - #### getMaxConcurrentFlows

          public int getMaxConcurrentFlows()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.